# This file created by conda-build 3.18.11
# meta.yaml template originally from:
# /localdisk/tools/jenkins/workspace/intel-packages/dpctl/prod-linux-py3.8/build/recipe/conda-recipe, last modified Tue Jul 18 00:10:01 2023
# ------------------------------------------------

package:
    name: dpctl
    version: 0.14.5
source:
    path: /localdisk/tools/jenkins/workspace/intel-packages/dpctl/prod-linux-py3.8/build/recipe
build:
    number: '24'
    script_env:
        - WHEELS_OUTPUT_FOLDER
    string: py38he78b74f_24
requirements:
    build:
        - _libgcc_mutex 0.1 conda_forge
        - _openmp_mutex 4.5 2_gnu
        - _sysroot_linux-64_curr_repodata_hack 3 h69a702a_13
        - binutils_impl_linux-64 2.40 hf600244_0
        - binutils_linux-64 2.40 hbdbef99_0
        - dpcpp-cpp-rt 2023.2.0 intel_49473
        - dpcpp_impl_linux-64 2023.2.0 intel_49473
        - dpcpp_linux-64 2023.2.0 intel_49473
        - gcc_impl_linux-64 13.1.0 hc4be1a9_0
        - gcc_linux-64 13.1.0 hd2d1137_0
        - gxx_impl_linux-64 13.1.0 hc4be1a9_0
        - gxx_linux-64 13.1.0 h5006d2a_0
        - icc_rt 2023.2.0 intel_49473
        - intel-cmplr-lib-rt 2023.2.0 intel_49473
        - intel-cmplr-lic-rt 2023.2.0 intel_49473
        - intel-opencl-rt 2023.2.0 intel_49473
        - intel-openmp 2023.2.0 intel_49473
        - kernel-headers_linux-64 4.18.0 he073ed8_0
        - ld_impl_linux-64 2.40 h41732ed_0
        - libgcc-devel_linux-64 13.1.0 he3cc6c4_0
        - libgcc-ng 13.1.0 he5830b7_0
        - libgomp 13.1.0 he5830b7_0
        - libsanitizer 13.1.0 hfd8a6a1_0
        - libstdcxx-devel_linux-64 13.1.0 he3cc6c4_0
        - libstdcxx-ng 13.1.0 hfd8a6a1_0
        - sysroot_linux-64 2.28 he073ed8_0
        - tbb 2021.10.0 intel_49385
    host:
        - _libgcc_mutex 0.1 conda_forge
        - _openmp_mutex 4.5 2_gnu
        - bzip2 1.0.8 h7f98852_4
        - c-ares 1.19.1 hd590300_0
        - ca-certificates 2023.5.7 hbcca054_0
        - cmake 3.26.4 hcfe8598_0
        - curl 8.1.2 hca28451_1
        - cython 0.29.36 py38h17151c0_0
        - distro 1.8.0 pyhd8ed1ab_0
        - dpcpp-cpp-rt 2023.2.0 intel_49473
        - dpcpp_cpp_rt 2023.2.0 intel_49473
        - expat 2.5.0 hcb278e6_1
        - gettext 0.21.1 h27087fc_0
        - git 2.41.0 pl5321h86e50cf_0
        - icc_rt 2023.2.0 intel_49473
        - intel-cmplr-lib-rt 2023.2.0 intel_49473
        - intel-cmplr-lic-rt 2023.2.0 intel_49473
        - intel-opencl-rt 2023.2.0 intel_49473
        - intel-openmp 2023.2.0 intel_49473
        - intelpython 2023.2.0 0
        - keyutils 1.6.1 h166bdaf_0
        - krb5 1.21.1 h659d440_0
        - libcurl 8.1.2 hca28451_1
        - libedit 3.1.20191231 he28a2e2_2
        - libev 4.33 h516909a_1
        - libexpat 2.5.0 hcb278e6_1
        - libffi 3.4.2 h7f98852_5
        - libgcc-ng 13.1.0 he5830b7_0
        - libgomp 13.1.0 he5830b7_0
        - libiconv 1.17 h166bdaf_0
        - libnghttp2 1.52.0 h61bc06f_0
        - libnsl 2.0.0 h7f98852_0
        - libsqlite 3.42.0 h2797004_0
        - libssh2 1.11.0 h0841786_0
        - libstdcxx-ng 13.1.0 hfd8a6a1_0
        - libuuid 2.38.1 h0b41bf4_0
        - libuv 1.44.2 h166bdaf_0
        - libzlib 1.2.13 hd590300_5
        - mkl 2023.2.0 intel_49386
        - mkl-service 2.4.0 py38hae59892_35
        - mkl_fft 1.3.1 py38h173b8ae_33
        - mkl_random 1.2.2 py38h1595b48_33
        - mkl_umath 0.1.1 py38hd987cd3_43
        - ncurses 6.4 hcb278e6_0
        - ninja 1.11.1 h924138e_0
        - numpy 1.21.6 py38hed7eef7_13
        - numpy-base 1.21.6 py38hfd6e620_13
        - openssl 3.1.1 hd590300_1
        - packaging 23.1 pyhd8ed1ab_0
        - pcre2 10.40 hc3806b6_0
        - perl 5.32.1 4_hd590300_perl5
        - python 3.8.16 hef7c979_20
        - python_abi 3.8 2_cp38
        - readline 8.2 h8228510_1
        - rhash 1.4.3 h166bdaf_0
        - scikit-build 0.17.6 pyh4af843d_0
        - setuptools 68.0.0 pyhd8ed1ab_0
        - six 1.16.0 pyh6c4a22f_0
        - tbb 2021.10.0 intel_49385
        - tbb4py 2021.10.0 py38_intel_49385
        - tk 8.6.12 h27826a3_0
        - tomli 2.0.1 pyhd8ed1ab_0
        - typing-extensions 4.7.1 hd8ed1ab_0
        - typing_extensions 4.7.1 pyha770c72_0
        - wheel 0.40.0 pyhd8ed1ab_1
        - xz 5.2.6 h166bdaf_0
        - zlib 1.2.13 hd590300_5
        - zstd 1.5.2 hfc55251_7
    run:
        - __glibc >=2.28,<3.0.a0
        - dpcpp-cpp-rt >=2023.2,<2024.0a0
        - level-zero
        - libgcc-ng >=12
        - libstdcxx-ng >=12
        - numpy >=1.21,<2.0a0
        - python >=3.8,<3.9.0a0
test:
    requires:
        - cython
        - pytest
        - pytest-cov
        - setuptools
about:
    description: '<strong>LEGAL NOTICE: Use of this software package is subject to
        the

        software license agreement (as set forth above, in the license section of

        the installed Conda package and/or the README file) and all notices,

        disclaimers or license terms for third party or open source software

        included in or with the software.</strong>

        <br/><br/>

        EULA: <a href="https://opensource.org/licenses/Apache-2.0" target="_blank">Apache-2.0</a>

        <br/><br/>

        '
    home: https://github.com/IntelPython/dpctl.git
    license: Apache-2.0
    license_file: LICENSE
    summary: A lightweight Python wrapper for a subset of SYCL API.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - PokhodenkoSA
        - diptorup deb
